var fsoobj=new ActiveXObject("Scripting.FileSystemObject");
var fsoxml=new ActiveXObject("Microsoft.XMLDOM");fsoxml.async=false;
var gendir=dirserver.replace("file:///","").replace(/(\/)/g,"\\")
var fso={
exp1open:function(){  //刷新文件浏览器
var dir1=fsoobj.GetFolder(gendir+"ditu\\"),ops=[]
var all1=new Enumerator(dir1.files),i=0;
while(!all1.atEnd()){
ops[i]="<option value='"+all1.item().name+"'>"+all1.item();
if(all1.item().name=="chengshi.xml")ops[i]="<option value='"+all1.item().name+"' style='color:blue'>"+all1.item();
i++;all1.moveNext()
}
wenjianselect.outerHTML='<select size="16" style="width:100%" id="wenjianselect">'+ops.join("")+'</select>';
if(wenjianselect.options.length>0){
wenjianselect.onchange=function(){fsoxml.load(wenjianselect.options[wenjianselect.selectedIndex].text);
if(fsoxml.parseError.errorCode!=0)return;
filezhushi.innerText=wenjianselect.value+"注释："+fsoxml.getElementsByTagName("document")[0].getAttribute("help")}
wenjianselect.options[0].selected=true;wenjianselect.onchange();filebutton[0].disabled=false;filebutton[1].disabled=false;filebutton[2].disabled=false;
}else{filezhushi.innerText="选定文件注释说明";filebutton[0].disabled=true;filebutton[1].disabled=true;filebutton[2].disabled=true;
}},
fileopen:function(){  //打开文件
gongcheng.editfile=wenjianselect.options[wenjianselect.selectedIndex].text;
gongcheng.editfilename=wenjianselect.value.replace(".xml","");
explorer1.style.visibility="hidden";sd_mark=false;
},
delfile:function(){  //删除文件
if(wenjianselect.value=="chengshi.xml")return alert("chengshi.xml 是神说的关键引擎文件，禁止更名或删除，如若缺失，游戏运行100%出错")
if(!confirm("删除文件将无法恢复，游戏将丧失文件内的的多幅地图，你确定要删除吗？\n\n建议：删除前请备份一下最好。选【确定】=删除，选【取消】=取消操作"))return;
try{fsoobj.DeleteFile(wenjianselect.options[wenjianselect.selectedIndex].text,true);}catch(e){alert("未找到该文件，可能你已经手动删除。")}
fso.exp1open();
},
mingfile:function(){  //更名文件
if(wenjianselect.value=="chengshi.xml")return alert("chengshi.xml 是神说的关键引擎文件，禁止更名或删除，如若缺失，游戏运行100%出错")
var newname=prompt("请输入新的文件名，注意：如果文件名关联了世界地图传送装置，那么改名后记得更新世界地图传送。格式：仅支持英文+数字+下划线。",wenjianselect.value.replace(".xml",""))
if(newname==null||newname==""||newname==wenjianselect.value.replace(".xml",""))return;
if(newname.match(/\W/)!=null)return alert("新文件名格式错误，含有违禁字符，更名失败");
fsoobj.GetFile(wenjianselect.options[wenjianselect.selectedIndex].text).name=newname+".xml";fso.exp1open();
},
newfile:function(){  //新建文件
var rnd=gendir+"ditu\\newdt"+round(random()*100)+".xml";if(fsoobj.FileExists(rnd)==true)return;
var newfile1=fsoobj.CreateTextFile(rnd,true,false);newfile1.write('<?xml version="1.0" encoding="gb2312"?>\n<document help="刚刚建立的文件，没有编辑过地图工程">\n\n</document>');
fso.exp1open();
},
filezhushi:function(txt1){  //修改文件注释
if(fsoobj.FileExists(txt1)==false)return alert(txt1)
fsoxml.load(txt1);if(fsoxml.parseError.errorCode!=0)return;
var newzhushi=prompt("显示的为当前地图文件的备忘注释，你可以自由修改，如果你将发布你的游戏作品，清晰的描述可以加深玩家的理解。",fsoxml.getElementsByTagName("document")[0].getAttribute("help"))
if(newzhushi==null)return;
fsoxml.getElementsByTagName("document")[0].setAttribute("help",newzhushi);
fsoxml.save(fsoxml.url);
}
}